import 'package:Straznik/helpers/sharedPref_helper.dart';
import 'package:Straznik/screens/main_screen.dart';
import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter_local_notifications/flutter_local_notifications.dart';

class NotificationProvider extends ChangeNotifier {
  bool alarmOn;
  bool watchStatus;
  int vibrationTime;
  List<int> awaitTimeValues = [3,5,8,10,13,15];

  NotificationProvider({this.alarmOn = false, this.vibrationTime = 13, this.watchStatus = false});

  void setAlarmStatus(bool newValue) {
    alarmOn = newValue;
    notifyListeners();
  }

  void setStatus(bool newValue) {
    watchStatus = newValue;
    notifyListeners();
    SharedPrefHelper.addBoolToSF('watchStatus', newValue);
  }

  void setAwaitTime(int index) {
    vibrationTime = awaitTimeValues[index];
    notifyListeners();
    SharedPrefHelper.addIntToSF('vibrationTime', awaitTimeValues[index]);
  }

  void fetchAndSetData() async {
    vibrationTime = await SharedPrefHelper.getIntValuesSF('vibrationTime') ?? 13;
    watchStatus = await SharedPrefHelper.getBoolValuesSF('watchStatus') ?? false;
    notifyListeners();
  }

}