import 'package:Straznik/helpers/sharedPref_helper.dart';
import 'package:flutter/material.dart';
import 'package:flutter_phone_direct_caller/flutter_phone_direct_caller.dart';
import 'package:flutter_sms/flutter_sms.dart';

class Phone extends ChangeNotifier {
  bool status;
  String phoneNumber;
  final String name;
  int awaitTime;
  List<int> awaitTimeValues = [5,10,15,20,25,30];

  Phone({this.status = false, this.phoneNumber, this.name, this.awaitTime = 15});

  void callNumber(String phoneNumber) async{
    await FlutterPhoneDirectCaller.callNumber(phoneNumber);
  }

  void setAwaitTime(int index) {
    awaitTime = awaitTimeValues[index];
    notifyListeners();
    SharedPrefHelper.addIntToSF('awaitTime', awaitTimeValues[index]);
  }

  void setStatus(bool newValue) {
    status = newValue;
    notifyListeners();
    SharedPrefHelper.addBoolToSF('phoneStatus', newValue);
  }

  void setPhoneNumber(String newValue) {
    phoneNumber = newValue;
    notifyListeners();
    SharedPrefHelper.addStringToSF('phoneNumber', newValue);
  }

  void fetchAndSetData() async {
    status = await SharedPrefHelper.getBoolValuesSF('phoneStatus') ?? false;
    phoneNumber = await SharedPrefHelper.getStringValuesSF('phoneNumber' ?? "");
    awaitTime = await SharedPrefHelper.getIntValuesSF('awaitTime') ?? 15;
    notifyListeners();
  }
}