import 'package:Straznik/helpers/sharedPref_helper.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

class TorchProvider extends ChangeNotifier {
  static const MethodChannel _channel = const MethodChannel('g123k/torch_compat');
  bool status;

  TorchProvider({this.status = false});

  void setStatus(bool newValue) {
    status = newValue;
    notifyListeners();
    SharedPrefHelper.addBoolToSF('torchStatus', newValue);
  }

  void fetchAndSetData() async {
    status = await SharedPrefHelper.getBoolValuesSF('torchStatus') ?? false;
    notifyListeners();
  }

  Future turnOn() => _channel.invokeMethod('turnOn');

  Future turnOff() => _channel.invokeMethod('turnOff');

  Future disposeTorch() => _channel.invokeMethod('dispose');

  Future<bool> get hasTorch async =>
      await _channel.invokeMethod('hasTorch');
}