import 'package:Straznik/helpers/sharedPref_helper.dart';
import 'package:flutter/material.dart';
import 'package:vibration/vibration.dart';

class VibrationProvider extends ChangeNotifier {
  bool status;

  VibrationProvider({this.status = false});

  void setStatus(bool newValue) {
    status = newValue;
    notifyListeners();
    SharedPrefHelper.addBoolToSF('vibrationStatus', newValue);
  }

  void startVibrations() {
    Vibration.vibrate(pattern: [500, 1000, 500, 1000, 500, 1000, 500, 1000, 500, 1000, 500, 1000, 500, 1000, 500, 1000, 500, 1000]);
  }

  void stopVibrations() {
    Vibration.cancel();
  }

  void fetchAndSetData() async {
    status = await SharedPrefHelper.getBoolValuesSF('vibrationStatus') ?? false;
    notifyListeners();
  }
}