import 'package:Straznik/providers/warn_providers/notification_provider.dart';
import 'package:Straznik/providers/warn_providers/phone_provider.dart';
import 'package:Straznik/screens/settings/phone/phone_timer_settings.dart';
import 'package:Straznik/screens/settings/smartband/smartband_timer_screen.dart';
import 'package:Straznik/widgets/tutorial_widgets/dialogs.dart';
import 'package:flutter/material.dart';
import 'package:flutter/cupertino.dart';
import 'package:provider/provider.dart';
import 'package:settings_ui/settings_ui.dart';

class SmartbandSettingsScreen extends StatefulWidget {
  static const routeName = '/smartbandsettings';

  @override
  _SmartbandSettingsScreen createState() => _SmartbandSettingsScreen();
}

class _SmartbandSettingsScreen extends State<SmartbandSettingsScreen> {
  String valueText;
  String codeDialog;
  bool valueSwitch;


  @override
  Widget build(BuildContext context) {
    final notification = Provider.of<NotificationProvider>(context, listen: true);
    return Scaffold(
      backgroundColor: Theme.of(context).primaryColor,
      appBar: AppBar(
        centerTitle: true,
        title: Dialogs("Ustawienia opaski","Tutaj włączysz wibracje w swojej opasce, w przypadku wykrycia alarmu. W aplikacji dedykowanej dla swojej opaski ustaw reakcję wibracji na powiadomienia z aplikacji Strażnik."),
        backgroundColor: Theme.of(context).primaryColor,
        elevation: 0,
      ),
      body: Semantics(
        label: 'Opaska wibrująca',
        child: SettingsList(
          backgroundColor: Theme.of(context).primaryColor,
          sections: [
            SettingsSection(
              title: 'Opaska wibrująca',
              titleTextStyle: TextStyle(color: Theme
                  .of(context)
                  .accentColor, fontWeight: FontWeight.bold, fontSize: 27),
              titlePadding: EdgeInsets.fromLTRB(10,15,0,15),
              tiles: [
                SettingsTile.switchTile(
                  title: 'Użyj opaski inteligentnej',
                  titleMaxLines: 3,
                  semanticsHint: "Zaznacz aby po wykryciu alarmu telefon uruchomił wibracje w opasce inteligentnej",
                  semanticsValue: "$valueSwitch",
                  leading: Icon(Icons.watch),
                  switchValue: notification.watchStatus,
                  onToggle: (bool value) async {
                    print(value);
                    valueSwitch = value;
                    setState(() {
                      notification.setStatus(value);
                    });
                  },
                ),
                SettingsTile(
                  visibility: notification.watchStatus ? true : false,
                  title: 'Wibracje po czasie:',
                  titleMaxLines: 3,
                  semanticsHint: "Kliknij dwukrotnie aby zmienić czas po którym ponownie aktywują się wibracje w opasce",
                  subtitle: notification.vibrationTime.toString() + " sekund",
                  leading: Icon(Icons.timelapse),
                  onPressed: (BuildContext context) {
                    Navigator.of(context)
                        .pushNamed(SmartbandTimerScreen.routeName);
                  },
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
